<template>
	<view class="content">
		<view class="one">
			<rich-text :nodes="config.agreement"></rich-text>
		</view>
	</view>
</template>

<script setup lang="ts">
	import { ref } from 'vue';
	//该依赖已内置不需要单独安装
	import { onShow } from "@dcloudio/uni-app";
	// 基本信息
	const config = ref({ agreement: '' });
	onShow(() => {
		searchConfig();
	})
	// config信息
	const searchConfig = async () => {
		config.value = uni.getStorageSync('config');
	};
</script>
<style lang="scss" scoped>
	.content {
		display: flex;
		flex-direction: column;
		width: 100vw;
		height: 100vh;

		.one {
			padding: 2vw;

			.rich-img {
				width: 100% !important;
				display: block;
			}
		}
	}
</style>